from mindspore import Tensor
from mindspore.nn import Cell
import mindspore.ops.operations as op
import numpy as np

class ZerosLike(Cell):
	def __init__(self):
		super().__init__()
		self.op = op.ZerosLike()

	def construct(self,input):
		return self.op(input)

def ZerosLikeFactory(input_np):
	input = Tensor(input_np)
	net = ZerosLike()
	out = net(input)
	return out.asnumpy()


if __name__ == '__main__':
	input_shape=[6,7,5,7]
	input_np=np.random.randn(*input_shape).astype(dtype=np.float32)
	out = ZerosLikeFactory(input_np)
	print(out)
